datacache <- new.env(hash=TRUE, parent=emptyenv())

hu35ksubb <- function() showQCData("hu35ksubb", datacache)
hu35ksubb_dbconn <- function() dbconn(datacache)
hu35ksubb_dbfile <- function() dbfile(datacache)
hu35ksubb_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hu35ksubb_dbInfo <- function() dbInfo(datacache)

hu35ksubbORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hu35ksubb.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hu35ksubb", "chip hu35ksubb", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hu35ksubb_dbconn())
}

